Skip to main content
PATCH
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
virtual-accounts
/
{virtualAccountId}
Child Address Update
curl --request PATCH \
  --url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "accountName": "Luthfulahi Oseni Olaitan",
  "accountNumber": "O157014962"
}
'
import requests

url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}"

payload = {
"accountName": "Luthfulahi Oseni Olaitan",
"accountNumber": "O157014962"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountName: 'Luthfulahi Oseni Olaitan', accountNumber: 'O157014962'})
};

fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/virtual-accounts/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "accountName": "gidin nnalu",
    "accountNumber": "9019769186",
    "address": {
      "address": "0x622B01976019d04aA2958b3DF7494A59B28459ac",
      "configurations": {
        "aml": {
          "message": "Address is not sanctioned",
          "provider": "ofac, fbi, tether, circle",
          "status": "success"
        },
        "autoSettlement": {
          "isActive": false,
          "rules": []
        },
        "disableAutoSweep": true,
        "enableGaslessWithdraw": true,
        "showPrivateKey": false
      },
      "createdAt": "2025-11-06T18:52:46.558Z",
      "derivationPath": "m/44'/60'/0'/0/52",
      "id": "bc6549bc-c500-4372-84f2-4571d4e2caeb",
      "isActive": true,
      "metadata": null,
      "name": "Gideon nnalue",
      "network": "mainnet",
      "type": "INTERNAL",
      "updatedAt": "2025-11-06T18:52:46.558Z"
    },
    "bankCode": "076",
    "bankName": "Polaris Bank",
    "createdAt": "2025-11-06T19:09:01.146Z",
    "currency": "NGN",
    "customer": {
      "createdAt": "2025-11-06T19:09:01.146Z",
      "email": "[email protected]",
      "id": "7c72ba3c-0596-4a36-a57b-9a9327e5f75e",
      "name": "gidin nnalu",
      "network": "mainnet",
      "phone": "+2347011064991",
      "status": "ACTIVE",
      "updatedAt": "2025-11-06T19:09:01.146Z"
    },
    "id": "35245f0d-f9dd-4bed-8de7-8d5ea4d53768",
    "isActive": false,
    "reference": "21",
    "status": "INACTIVE",
    "type": "AUTO_FUNDING",
    "updatedAt": "2025-11-06T19:13:48.680Z",
    "wallet": {
      "address": "0xD8582C57E56Ef45f9fe82870aDF63d9baB89e1F7",
      "configurations": null,
      "createdAt": "2024-05-27T19:33:42.377Z",
      "derivationPath": "m/44'/60'/0'/0/11",
      "description": "This is Base wallet",
      "id": "35e964a6-436a-424f-bf3a-618cc060feea",
      "isActive": true,
      "name": "Base Wallet",
      "network": "mainnet",
      "status": "ACTIVE",
      "updatedAt": "2024-05-27T19:33:42.377Z"
    }
  },
  "message": "Virtual account updated successfully",
  "statusCode": 200
}

Authorizations

x-api-key
string
header
required

Path Parameters

walletId
string
required
Example:

"YOUR_WALLET_ID"

addressId
string
required
Example:

"ADDRESS_ID"

virtualAccountId
string
required
Example:

"VIRTUAL_ACCOUNT_ID"

Body

application/json
accountName
string
Example:

"Luthfulahi Oseni Olaitan"

accountNumber
string
Example:

"O157014962"

Response

200 - application/json

200

data
object
message
string
Example:

"Virtual account updated successfully"

statusCode
number
Example:

200